const express = require("express");
const router = express.Router();
const NFTRequest = require("./../../model/stellar/nftRequests");

router.get("/:distributorkey", async (req, res) => {
  try {
    const disKey = req.params.distributorkey;

    const nftReqData = await NFTRequest.find({
      distributorpk: disKey,
      status: "Pending",
    });
    console.log("/publickey - get NFT requests success");
    res.status(200).json({
      message: "NFT requests",
      data: nftReqData,
    });
  } catch (error) {
    console.log("Getting NFT requests : ERROR : ", error);
    console.log("/publickey - get NFT requests failed");
    res.status(500).json({
      error: "Getting NFT requests failed : ",
      error,
    });
  }
});

module.exports = router;
