import { RSA } from "react-native-rsa-native";
import { decode as base64Decode } from "react-native-base64";

async function RSADecrypt(privateKey, encryptedString) {
  const encryptedBytes = base64Decode(encryptedString);
  const ecnryptedRsaKey = base64Decode(privateKey);
  console.log("=====================", ecnryptedRsaKey);
  try {
    const decryptedData = await RSA.decrypt(encryptedBytes, {
      ecnryptedRsaKey,
    });
    return decryptedData;
  } catch (error) {
    console.error("RSA decryption failed:", error);
    return null;
  }
}

export default RSADecrypt;
